GFAL-LEGACY-REGISTER(1)

NAME
gfal-legacy-register - register a replica

SYNOPSIS
gfal-legacy-register [ -h ] [ -V ] [ -v ] [ -D DEFINITION ] [ -C CLIENT-INFO ] [ -t TIMEOUT ] lfc surl

DESCRIPTION
gfal-legacy-register Register a new replica into a catalog

OPTIONS

-h, --help
    show help about the command.

-V, --version
    output version information and exit.

-v, --verbose
    verbose mode. Repeat up to 3 times for the most verbose mode.

-D, --definition
    define properties for gfal2.

-C, --client-info
    provide custom client-side information

-t, --timeout
    global timeout for the execution of the command. Command is interrupted if time expires before it finishes.

lfc LFC entry (lfc:// or guid:)

surl
    Site URL

EXAMPLES

gfal-legacy-register
    guid:12345-678-abcdef srm://endpoint.cern.ch/path/group

FILES
/etc/gfal2.d/*
    All configuration files in this directory affect the behavior of the underlying gfal2.

AUTHORS
Duarte Meneses <duarte.meneses@cern.ch>
Adrien Devresse <adrien.devresse@cern.ch>
Alejandro Alvarez Ayllon <alejandro.alvarez.ayllon@cern.ch>

SEE ALSO
gfal-legacy-replicas(1), gfal-legacy-unregister(1)